
Redmine - Defect #7183

Svn 4376 breaks table of contents with pre's

2010-12-27 18:23 - W Snyder

Status: Closed Start date: 2010-12-27

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.4

Description

If a wiki document contains headers and pre's (note spaces added below so it doesn't get formatted):

{{toc}}

  h1. Blah

  < pre >xxxx< /pre >

  h1. Boo

 Then the TOC will be truncated.  This is because application_helper calls parse_headings on each non-pre segment, which is

incorrect it must call it on the entire document.

This broke in svn 4376:

Author: jplang <jplang@e93f8b46-1217-0410-a6f0-8f06a7374b81>

Date:   Sat Nov 6 17:47:27 2010 +0000

Extract headings and TOC parsing from the textile formatter.

Fixes #2038 and #3707 and will allow to support TOC with other text formatters.

Related issues:

Is duplicate of Redmine - Defect #7172: {{toc}} macro doesn't work with ＜ｐｒｅ＞... Closed 2010-12-25

History

#1 - 2010-12-27 18:34 - W Snyder

- Assignee set to Jean-Philippe Lang

Assigning based on SVN author, forgive me and feel free to change it!

#2 - 2010-12-28 09:43 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Duplicate

Already reported in #7172, thanks nontheless.
